StarObjectSpreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
StarObjectSpreadsheet Class Reference

the main class to read a StarOffice sdc file More...

`#include <StarObjectSpreadsheet.hxx>`

Inheritance diagram for StarObjectSpreadsheet:

## Public Member Functions
| StarObjectSpreadsheet (StarObject const &orig, bool duplicateState)
| constructor More...
virtual | ~StarObjectSpreadsheet ()
| destructor More...
bool | parse ()
| try to parse the current object More...
bool | send (STOFFSpreadsheetListenerPtr listener)
| try to send the spreadsheet More...
bool | sendRow (int table, int row, STOFFSpreadsheetListenerPtr listener)
| try to send a spreadsheet row. More...
bool | sendCell (StarObjectSpreadsheetInternal::Cell &cell, StarAttribute *attrib, int table, int numRepeated, STOFFSpreadsheetListenerPtr listener)
| try to send a cell More...
bool | updatePageSpans (std::vector< STOFFPageSpan > &pageSpan, int &numPages) const
| try to update the page span More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
void | cleanPools ()
| clean each pool More...
shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=0, bool isDirect=false)
| try to read a list of item More...

## Protected Member Functions
bool | readCalcDocument (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a spreadsheet zone: StarCalcDocument .sdc More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &fileName)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readSCTable (StarZone &zone, StarObjectSpreadsheetInternal::Table &table)
| try to read a SCTable More...
bool | readSCColumn (StarZone &zone, StarObjectSpreadsheetInternal::Table &table, int column, long lastPos)
| try to read a SCColumn More...
bool | readSCData (StarZone &zone, StarObjectSpreadsheetInternal::Table &table, int column)
| try to read a list of data More...
bool | readSCChangeTrack (StarZone &zone, int version, long lastPos)
| try to read a change trak More...
bool | readSCDBData (StarZone &zone, int version, long lastPos)
| try to read a dbData More...
bool | readSCDBPivot (StarZone &zone, int version, long lastPos)
| try to read a dbPivot More...
bool | readSCMatrix (StarZone &zone, int version, long lastPos)
| try to read a matrix More...
bool | readSCQueryParam (StarZone &zone, int version, long lastPos)
| try to read a query param More...
bool | readSCOutlineArray (StarZone &zone)
| try to read a SCOutlineArray More...
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Protected Attributes
shared_ptr< StarObjectSpreadsheetInternal::State > | m_spreadsheetState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Detailed Description

the main class to read a StarOffice sdc file

## Constructor & Destructor Documentation

StarObjectSpreadsheet::StarObjectSpreadsheet | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

StarObjectSpreadsheet::~StarObjectSpreadsheet | ( |  | ) |
| virtual

destructor

## Member Function Documentation

bool StarObjectSpreadsheet::parse | ( |  | ) |

try to parse the current object

Referenced by SDAParser::createZones(), and SDWParser::createZones().

bool StarObjectSpreadsheet::readCalcDocument | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a spreadsheet zone: StarCalcDocument .sdc

Referenced by parse().

bool StarObjectSpreadsheet::readSCChangeTrack | ( | StarZone & | zone,
|  | int | version,
|  | long | lastPos
| ) |  |
| protected

try to read a change trak

Referenced by readCalcDocument().

bool StarObjectSpreadsheet::readSCColumn | ( | StarZone & | zone,
|  | StarObjectSpreadsheetInternal::Table & | table,
|  | int | column,
|  | long | lastPos
| ) |  |
| protected

try to read a SCColumn

Referenced by readSCTable().

bool StarObjectSpreadsheet::readSCData | ( | StarZone & | zone,
|  | StarObjectSpreadsheetInternal::Table & | table,
|  | int | column
| ) |  |
| protected

try to read a list of data

Referenced by readSCColumn().

bool StarObjectSpreadsheet::readSCDBData | ( | StarZone & | zone,
|  | int | version,
|  | long | lastPos
| ) |  |
| protected

try to read a dbData

Referenced by readCalcDocument().

bool StarObjectSpreadsheet::readSCDBPivot | ( | StarZone & | zone,
|  | int | version,
|  | long | lastPos
| ) |  |
| protected

try to read a dbPivot

Referenced by readCalcDocument().

bool StarObjectSpreadsheet::readSCMatrix | ( | StarZone & | zone,
|  | int | version,
|  | long | lastPos
| ) |  |
| protected

try to read a matrix

Referenced by readCalcDocument().

bool StarObjectSpreadsheet::readSCOutlineArray | ( | StarZone & | zone | ) |
| protected

try to read a SCOutlineArray

Referenced by readSCTable().

bool StarObjectSpreadsheet::readSCQueryParam | ( | StarZone & | zone,
|  | int | version,
|  | long | lastPos
| ) |  |
| protected

try to read a query param

Referenced by readCalcDocument(), and readSCDBPivot().

bool StarObjectSpreadsheet::readSCTable | ( | StarZone & | zone,
|  | StarObjectSpreadsheetInternal::Table & | table
| ) |  |
| protected

try to read a SCTable

Referenced by readCalcDocument().

bool StarObjectSpreadsheet::readSfxStyleSheets | ( | STOFFInputStreamPtr | input,
|  | std::string const & | fileName
| ) |  |
| protected

try to read a spreadshet style zone: SfxStyleSheets

Referenced by parse().

bool StarObjectSpreadsheet::send | ( | STOFFSpreadsheetListenerPtr | listener | ) |

try to send the spreadsheet

bool StarObjectSpreadsheet::sendCell | ( | StarObjectSpreadsheetInternal::Cell & | cell,
|  | StarAttribute * | attrib,
|  | int | table,
|  | int | numRepeated,
|  | STOFFSpreadsheetListenerPtr | listener
| ) |  |

try to send a cell

Referenced by sendRow().

bool StarObjectSpreadsheet::sendRow | ( | int | table,
|  | int | row,
|  | STOFFSpreadsheetListenerPtr | listener
| ) |  |

try to send a spreadsheet row.

Note
  this function does not call openSheetRow,closeSheetRow

Referenced by send().

bool StarObjectSpreadsheet::updatePageSpans | ( | std::vector< STOFFPageSpan > & | pageSpan,
|  | int & | numPages
| ) |  | const

try to update the page span

## Member Data Documentation

shared_ptr<StarObjectSpreadsheetInternal::State> StarObjectSpreadsheet::m_spreadsheetState
| protected

the state

Referenced by readCalcDocument(), readSCTable(), send(), sendCell(), sendRow(), and updatePageSpans().

The documentation for this class was generated from the following files:

- StarObjectSpreadsheet.hxx
- StarObjectSpreadsheet.cxx